Skip to main content
GET
Retrieve upload portal information

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

portalId
integer
required

Portal ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Portal ID for the new upload portal

name
string
required

The name of the upload portal.

Example:

"EdgeImpulse Inc."

url
string
required

The url postfix of the upload portal.

Example:

"edgeImpulse"

token
string
required

The token used to validate access to the upload portal.

Example:

"SECRET_TOKEN"

bucketName
string
required

The S3 bucket name to store the uploaded data.

Example:

"my-s3-bucket"

bucketPath
string
required

The S3 bucket path where uploaded data is stored.

Example:

"/path/to/bucket"

error
string

Optional error description (set if 'success' was false)

description
string

The purpose and description of the upload portal.

Example:

"EdgeImpulse Inc. Portal description"

bucketId
integer

S3 bucket ID. If missing, then this is using the Edge Impulse hosted bucket.

Example:

1

bucketUrl
string

The full S3 bucket path where uploaded data is stored.

Example:

"s3://bucketname/path/to/bucket"

storageProvider
string

The storage provider type (s3, azure, google, other).

Example:

"s3"